[//]: # (Distributed under the MIT License.)
[//]: # (See LICENSE.txt for details.)

[![license](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/sxs-collaboration/spectre/blob/develop/LICENSE.txt)
[![Standard](https://img.shields.io/badge/c%2B%2B-17-blue.svg)](https://en.wikipedia.org/wiki/C%2B%2B#Standardization)
[![Build Status](https://github.com/sxs-collaboration/spectre/workflows/Tests/badge.svg?branch=develop)](https://github.com/sxs-collaboration/spectre/actions)
[![Coverage Status](https://coveralls.io/repos/github/sxs-collaboration/spectre/badge.svg?branch=develop)](https://coveralls.io/github/sxs-collaboration/spectre?branch=develop)
[![codecov](https://codecov.io/gh/sxs-collaboration/spectre/branch/develop/graph/badge.svg)](https://codecov.io/gh/sxs-collaboration/spectre)
[![release](https://img.shields.io/badge/release-v2020.12.07-informational)](https://github.com/sxs-collaboration/spectre/releases/tag/v2020.12.07)
[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.4290405.svg)](https://doi.org/10.5281/zenodo.4290405)

## What is SpECTRE?

SpECTRE is an open-source code for multi-scale, multi-physics problems
in astrophysics and gravitational physics. In the future, we hope that
it can be applied to problems across discipline boundaries in fluid
dynamics, geoscience, plasma physics, nuclear physics, and
engineering. It runs at petascale and is designed for future exascale
computers.

SpECTRE is being developed in support of our collaborative Simulating
eXtreme Spacetimes (SXS) research program into the multi-messenger
astrophysics of neutron star mergers, core-collapse supernovae, and
gamma-ray bursts.

## Citing SpECTRE

Please cite SpECTRE in any publications that make use of its code or data. Cite
the latest version that you use in your publication. The DOI for this version
is:

- DOI: [10.5281/zenodo.4290405](https://doi.org/10.5281/zenodo.4290405)

You can cite this BibTeX entry in your publication:

- [Find BibTeX entry for this version on Zenodo](https://zenodo.org/record/4290405/export/hx)

To aid reproducibility of your scientific results with SpECTRE, we recommend you
keep track of the version(s) you used and report this information in your
publication. We also recommend you supply the YAML input files and, if
appropriate, any additional C++ code you wrote to compile SpECTRE executables as
supplemental material to the publication.

## Viewing Documentation

The documentation can be viewed at https://spectre-code.org/.
