\cond NEVER
Distributed under the MIT License.
See LICENSE.txt for details.
\endcond
# SpECTRE Code of Conduct {#code_of_conduct}

With the goal of supporting our community in doing the best science we
can, we expect that all contributors and maintainers of SpECTRE:

- Behave professionally in a way that is welcoming and respectful to
all participants.

- Behave in a way that is free from any form of discrimination,
harassment, or retaliation.

- Treat each other with collegiality and respect and help to create a
supportive working environment.

This code of conduct is not an exhaustive list of things that you
should or should not do. Rather, take it in the spirit in which it’s
intended — a guide to make it easier to communicate and participate in
the community.

This code of conduct applies to all spaces managed by the SpECTRE
project. This includes Slack channels, wikis, mailing lists, issue
trackers, pull request comments, SpECTRE project events, and any other
forums created by the project for communication. It applies to all of
your communication and conduct in these spaces, including emails,
chats, things you say, slides, videos, posters, signs, or even
t-shirts you display in these spaces. In addition, violations of this
code outside these spaces may, in rare cases, affect a person’s
ability to participate within them, when the conduct amounts to an
egregious violation of this code.

If you believe someone is violating the code of conduct, we ask that
you report it by emailing conduct@spectre-code.org. For more details
please see our \ref reporting_guide "Reporting Guide".  If you would
rather not formally report your concern, you should feel free to
discuss it informally and confidentially with one of the project
leaders.

More specifically, we expect members of the SpECTRE community to:

- Be friendly and patient. During teleconferences and meetings,
participants who wish to speak should feel free to type “hand up” or
similar in the comment box, as needed, to get the chairs’
attention. Meeting/teleconference chairs are encouraged to make space
for those unfamiliar with the topic of discussion to ask questions and
engage.

- Be welcoming. We strive to be a community that welcomes and supports
people of all backgrounds and identities. This includes, but is not
limited to members of any race, ethnicity, culture, national origin,
colour, immigration status, social and economic class, educational
level, sex, sexual orientation, gender identity and expression, age,
size, family status, political belief, religion or lack thereof, and
mental and physical ability.

- Be considerate. Your work will be used by other people, and you in
turn will depend on the work of others. Any decision you take will
affect users and colleagues, and you should take those consequences
into account. Remember that we are a world-wide community, so you
might not be communicating in someone else’s primary language.

- Be respectful. Not all of us will agree all the time, but
disagreement is no excuse for poor behavior and poor manners. We might
all experience some frustration now and then, but we cannot allow that
frustration to turn into a personal attack. It is important to
remember that a community where people feel uncomfortable or
threatened is not a productive one. Members of the SpECTRE community
should be respectful when dealing with other members as well as with
people outside the community.

- Be careful in the words that you choose and be kind to others. Do
not insult or put down other participants. Harassment and other
exclusionary behavior aren’t acceptable. This includes, but is not
limited to:
  - Violent threats or language directed against another person.
  - Discriminatory jokes and language.
  - Posting sexually explicit or violent material.
  - Posting (or threatening to post) other people’s personally
  identifying information (“doxing”).
  - Personal insults, especially those using racist or sexist terms.
  - Unwelcome sexual attention.
  - Advocating for, or encouraging, any of the above behavior.  In
general, if someone asks you to stop, then stop. Persisting in such
behavior after being asked to stop is considered harassment.

- When we disagree, try to understand why. Disagreements, both social
and technical, happen all the time, and SpECTRE is no exception. It is
important that we resolve disagreements and differing views
constructively. Remember that we are different. The strength of
communities comes from having a varied community, people from a wide
range of backgrounds. Different people have different perspectives on
issues. Being unable to understand why someone holds a viewpoint does
not mean that they are wrong. Do not forget that it is human to err
and blaming each other does not get us anywhere. Instead, focus on
helping to resolve issues and learning from mistakes.

### Attribution

This Code of Conduct is adapted from the [SXS Collaboration Code of
Conduct](https://www.black-holes.org/sxs_code_of_conduct.pdf), which
is based on a draft of the [LLVM Code of
Conduct](https://llvm.org/docs/CodeOfConduct.html) which is adapted
from [Django Project Code of
Conduct](https://www.djangoproject.com/conduct/) which used text from
the [Speak Up! Code of
Conduct](http://web.archive.org/web/20141109123859/http://speakup.io/coc.html).
