\cond NEVER
Distributed under the MIT License.
See LICENSE.txt for details.
\endcond
# SpECTRE Code of Conduct - Reporting Guide {#reporting_guide}

If you believe someone is violating the code of conduct, you can
always file a report by emailing conduct@spectre-code.org, or discuss
it informally and confidentially with one of the project leaders.
**All reports will be kept confidential.**

If you believe anyone is in physical danger, please notify appropriate
law enforcement first. If you are unsure what law enforcement agency
is appropriate, please include this in your report and we will attempt
to notify them.

Reports of violations of the code of conduct can be as formal or
informal as needed for the situation at hand. If possible, please
include as much information as you can. If you feel comfortable,
please consider including:
- Your contact info (so we can get in touch with you if we need to
  follow up).
- Names (real, nicknames, or pseudonyms) of any individuals
involved. If there were other witnesses besides you, please try to
include them as well.
- When and where the incident occurred. Please be as specific as
  possible.
- Your account of what occurred. If there is a publicly available
record (e.g. a mailing list archive or Slack logs) please include a
link.
- Any extra context you believe existed for the incident.
- If you believe this incident is ongoing.
- Any other information you believe we should have.

### What happens after you file a report?

You will receive an email from the Code of Conduct Committee or
project leader(s) you contacted, acknowledging receipt within 24 hours
(and we will aim to respond much quicker than that). We will review
the incident and try to determine:
- What happened and who was involved.
- Whether this event constitutes a code of conduct violation.
- Whether this is an ongoing situation, or if there is a threat to
  anyone’s physical safety.

Once the Code of Conduct Committee or contacted project leader(s) have
a complete account of the events we will make a decision on how to
respond, possibly in consultation with the full Executive Committee
(excluding anyone involved in the incident). Responses may include:
- Nothing, if we determine no violation occurred or it has already
  been appropriately resolved.
- Providing either moderation or mediation to ongoing interactions
  (where appropriate, safe, and desired by both parties).
- A private reprimand from the working group to the individuals
  involved.
- An imposed vacation (i.e. asking someone to “take a week off” from a
  mailing list or Slack).
- Escalation to the appropriate institutions.
- Involvement of relevant law enforcement if appropriate.

If the situation is not resolved within one week, we’ll respond within
one week to the original reporter with an update and explanation.
Once we’ve determined our response, we will separately contact the
original reporter and other individuals to let them know what actions
(if any) we’ll be taking. We will take into account feedback from the
individuals involved on the appropriateness of our response, but we
don’t guarantee we’ll act on it.

### Code of Conduct Committee

The current members of the Code of Conduct Committee (and the only
people that see emails sent to conduct@spectre-code.org) are:
- Saul Teukolsky
- Harald Pfeiffer

SpECTRE is being developed in support of our collaborative Simulating
eXtreme Spacetimes (SXS) research program into the multi-messenger
astrophysics of neutron star mergers, core-collapse supernovae, and
gamma-ray bursts.  As such, it falls under the managerial oversight of
the SXS Executive Committee whose current members are:
- Matthew Duez
- Francois Foucart
- Lawrence Kidder
- Geoffrey Lovelace
- Harald Pfeiffer
- Mark Scheel
- Leo Stein
- Saul Teukolsky
- Aaron Zimmerman

