// Distributed under the MIT License.
// See LICENSE.txt for details.

/// \file
/// Documents the `evolution`, `evolution::dg`, `evolution::dg::Actions`, and
/// `evolution::dg::Initialization` namespaces

#pragma once

/// Functionality for evolving hyperbolic partial differential equations.
namespace evolution {
/// Functionality for evolving hyperbolic partial differential equations using
/// the discontinuous Galerkin method.
namespace dg {
/// %Actions for using the discontinuous Galerkin to evolve hyperbolic partial
/// differential equations.
namespace Actions {}
/// Functionality for initializing the discontinuous Galerkin to evolve
/// hyperbolic partial differential equations.
namespace Initialization {}
}  // namespace dg
}  // namespace evolution
