// Distributed under the MIT License.
// See LICENSE.txt for details.

#pragma once

namespace hydro {
/*!
 * \ingroup AnalyticSolutionsGroup
 * \brief Holds classes implementing common portions of solutions to various
 * different (magneto)hydrodynamical systems.
 *
 * For example, an advecting sinusoidal density profile is a solution to
 * Newtonian Euler, relativistic Euler, and GRMHD, so the common parts of the
 * solution is implemented here.
 */
namespace Solutions {}
}  // namespace hydro
